com.genesyslab.wfm8.API.service.forecast800

## Class FrcDataObjectives

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcDataObjectives

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcDataObjectives
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `abandonPCT` Abandoned calls %
    `protected double` | `asa` Average Speed Of Answer
    `protected double` | `maxOccPCT` Maximum Occupancy %
    `protected double` | `periodStart` Period start date time
    `private static long` | `serialVersionUID`
    `protected double` | `servicePCT` Service Level %

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcDataObjectives()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getAbandonPCT()` Gets the abandonPCT value for this FrcDataObjectives.
    `double` | `getASA()` Gets the asa value for this FrcDataObjectives.
    `double` | `getMaxOccPCT()` Gets the maxOccPCT value for this FrcDataObjectives.
    `double` | `getPeriodStart()` Gets the periodStart value for this FrcDataObjectives.
    `double` | `getServicePCT()` Gets the servicePCT value for this FrcDataObjectives.
    `int` | `hashCode()`
    `void` | `setAbandonPCT(double abandonPCT)` Sets the abandonPCT value for this FrcDataObjectives.
    `void` | `setASA(double asa)` Sets the asa value for this FrcDataObjectives.
    `void` | `setMaxOccPCT(double maxOccPCT)` Sets the maxOccPCT value for this FrcDataObjectives.
    `void` | `setPeriodStart(double periodStart)` Sets the periodStart value for this FrcDataObjectives.
    `void` | `setServicePCT(double servicePCT)` Sets the servicePCT value for this FrcDataObjectives.
    `java.lang.String` | `toString()`
    `FrcDataObjectives` | `withAbandonPCT(double value)`
    `FrcDataObjectives` | `withASA(double value)`
    `FrcDataObjectives` | `withMaxOccPCT(double value)`
    `FrcDataObjectives` | `withPeriodStart(double value)`
    `FrcDataObjectives` | `withServicePCT(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### periodStart

          protected double periodStart

      Period start date time

    - #### servicePCT

          protected double servicePCT

      Service Level %

    - #### abandonPCT

          protected double abandonPCT

      Abandoned calls %

    - #### asa

          protected double asa

      Average Speed Of Answer

    - #### maxOccPCT

          protected double maxOccPCT

      Maximum Occupancy %

  - ### Constructor Detail

    - #### FrcDataObjectives

          public FrcDataObjectives()

  - ### Method Detail

    - #### getPeriodStart

          public double getPeriodStart()

      Gets the periodStart value for this FrcDataObjectives.
      Returns:
        periodStart Period start date and time

    - #### setPeriodStart

          public void setPeriodStart(double periodStart)

      Sets the periodStart value for this FrcDataObjectives.
      Parameters:
        `periodStart` - Period start date and time

    - #### getServicePCT

          public double getServicePCT()

      Gets the servicePCT value for this FrcDataObjectives.
      Returns:
        servicePCT Service level percentage value

    - #### setServicePCT

          public void setServicePCT(double servicePCT)

      Sets the servicePCT value for this FrcDataObjectives.
      Parameters:
        `servicePCT` - Service level percentage value

    - #### getAbandonPCT

          public double getAbandonPCT()

      Gets the abandonPCT value for this FrcDataObjectives.
      Returns:
        abandonPCT Abandoned Interaction percentage value

    - #### setAbandonPCT

          public void setAbandonPCT(double abandonPCT)

      Sets the abandonPCT value for this FrcDataObjectives.
      Parameters:
        `abandonPCT` - Abandoned Interaction percentage value

    - #### getASA

          public double getASA()

      Gets the asa value for this FrcDataObjectives.
      Returns:
        asa Average Speed of Answer value

    - #### setASA

          public void setASA(double asa)

      Sets the asa value for this FrcDataObjectives.
      Parameters:
        `asa` - Average Speed of Answer value

    - #### getMaxOccPCT

          public double getMaxOccPCT()

      Gets the maxOccPCT value for this FrcDataObjectives.
      Returns:
        maxOccPCT Maximum Occupancy percentage value

    - #### setMaxOccPCT

          public void setMaxOccPCT(double maxOccPCT)

      Sets the maxOccPCT value for this FrcDataObjectives.
      Parameters:
        `maxOccPCT` - Maximum Occupancy percentage value

    - #### withAbandonPCT

          public FrcDataObjectives withAbandonPCT(double value)

    - #### withASA

          public FrcDataObjectives withASA(double value)

    - #### withMaxOccPCT

          public FrcDataObjectives withMaxOccPCT(double value)

    - #### withPeriodStart

          public FrcDataObjectives withPeriodStart(double value)

    - #### withServicePCT

          public FrcDataObjectives withServicePCT(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.